# redux-app-examples

Examples of [redux-app](https://github.com/alonrbar/redux-app) with [Angular](https://angular.io) or [Aurelia](http://aurelia.io/). Choose what fits you best.

### Installtion

```
mkdir redux-app-examples
cd redux-app-examples
git init
git pull https://github.com/alonrbar/redux-app-examples
npm install
```

### Run the examples

After installation run `npm start` and open `localhost:3000` on your browser.

### Examples Source

| Example | Angular | Aurelia |
|---------|---------|---------|
| **counters** - a basic example | [Angular][angular-counters] | [Aurelia][aurelia-counters] |
| **counters with identity** - using the `withId` decorator, a "mini ORM" feature | [Angular][angular-withId] | [Aurelia][aurelia-withId] |
| **async dogs** - using the `sequence` decorator, an async pattern that does not require thunks | [Angular][angular-sequence] | [Aurelia][aurelia-sequence] |
| **todo list** - your familiar todo list example, this time with redux-app | [Angular][angular-todo] | [Aurelia][aurelia-todo] |

[Change Log](https://github.com/alonrbar/redux-app-examples/blob/master/CHANGELOG.md)

  [angular-counters]: https://github.com/alonrbar/redux-app-examples/tree/master/src/angular/counters
  [aurelia-counters]: https://github.com/alonrbar/redux-app-examples/tree/master/src/aurelia/counters
  [angular-withId]: https://github.com/alonrbar/redux-app-examples/tree/master/src/angular/withId
  [aurelia-withId]: https://github.com/alonrbar/redux-app-examples/tree/master/src/aurelia/withId
  [angular-sequence]: https://github.com/alonrbar/redux-app-examples/tree/master/src/angular/sequence
  [aurelia-sequence]: https://github.com/alonrbar/redux-app-examples/tree/master/src/aurelia/sequence
  [angular-todo]: https://github.com/alonrbar/redux-app-examples/tree/master/src/angular/todo
  [aurelia-todo]: https://github.com/alonrbar/redux-app-examples/tree/master/src/aurelia/todo